Bug 1781766 - No validation for compute_public_ip attribute in cli
Summary: No validation for compute_public_ip attribute in cli
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - Azure
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: Aditi Puntambekar
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-10 14:29 UTC by Aditi Puntambekar
Modified: 2020-04-14 13:28 UTC (History)
0 users

Fixed In Version: rubygem-foreman_azure_rm-2.0.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:28:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28469 Normal Closed No validation for compute_public_ip attribute in cli 2019-12-17 10:14:55 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:34 UTC

Comment 4 vijsingh 2019-12-17 10:36:59 UTC
ON_QA Verified


@Satellite 6.7.0 snap 6.0

Steps/Observation:

 - Passing values other than 'Dynamic/Static/None' host create fails with error i.e. "Failed to create a compute Azure_CR1 (Azure Resource Manager) instance clientcli1.example.com Public IP value must be either 'Dynamic', 'Static' or 'None'"

Comment 7 errata-xmlrpc 2020-04-14 13:28:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.